## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Owns: /usr/lib/python3.10/site-packages/keyrings/__init__.py
# So keep an eye out for any other packages that may also want to own it.

%bcond tests 1

%global _description %{expand:
Alternate keyring backend implementations for use with the keyring package.

Keyrings in this package may have security risks or other implications. These
backends were extracted from the main keyring project to make them available
for those who wish to employ them, but are discouraged for general production
use. Include this module and use its backends at your own risk.

For example, the PlaintextKeyring stores passwords in plain text on the file
system, defeating the intended purpose of this library to encourage best
practices for security.}

%global forgeurl  https://github.com/jaraco/keyrings.alt

Name:           python-keyrings-alt
Version:        5.0.2
Release:        %{autorelease}
Summary:        Alternate keyring implementations

%forgemeta

# SPDX
License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  gnome-keyring
# The following are from the test extra, but it also contains linting/coverage
# tools that we don’t want. It’s easier to depend manually on the things that
# we need than to patch out the things that we don’t.
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist keyring}
BuildRequires:  %{py3_dist pycryptodomex}
%endif

%description %_description

%package -n python3-keyrings-alt
Summary:        %{summary}
# Not included in install_requires
Requires:       %{py3_dist keyring}
Provides:       python-keyrings-alt-doc = %{version}-%{release}
Obsoletes:      python-keyrings-alt-doc < %{version}-2

%description -n python3-keyrings-alt %_description

%prep
%forgesetup

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files -l keyrings

%check
%if %{with tests}
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
# Skip integration tests with python-crypto/PyCrypto; prefer pycryptodomex.
k="${k-}${k+ and }not [Crypto]"
%pytest -k "${k-}"
%endif

%files -n python3-keyrings-alt -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Thu Aug 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0.2-2
- Stop integration-testing PyCrypto/pycryptodome

* Thu Aug 15 2024 Packit <hello@packit.dev> - 5.0.2-1
- Update to 5.0.2 upstream release
- Resolves: rhbz#2304779

* Sun Aug 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0.1-4
- Do not test for empty username support since keyring 25.3.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 5.0.1-2
- Rebuilt for Python 3.13

* Tue Apr 02 2024 Packit <hello@packit.dev> - 5.0.1-1
- [packit] 5.0.1 upstream release
- Resolves: rhbz#2272573

* Sun Feb 25 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.0-7
- chore: use new bconds, forge macros

* Sat Feb 24 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.0-6
- chore: add packit

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0.0-3
- Assert that the .dist-info directory contains a license file

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.0-2
- feat: update to conditionally turn off docs

* Thu Oct 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.0-1
- feat: update to 5.0.0

* Thu Oct 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 4.2.0-5
- chore: add packit conf

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 4.2.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2.0-1
- Update to 4.2.0 (close RHBZ#2124132)

* Mon Sep 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.2-2
- Note that license is *SPDX* MIT

* Mon Sep 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.2-1
- Update to 4.1.2

* Fri Sep 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-6
- Build LaTeX more quietly

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 4.1.0-4
- Rebuilt for Python 3.11

* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.0-3
- Fix doc build and convert to PDF (fix RHBZ#2068264)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 4.1.0-1
- feat: init
## END: Generated by rpmautospec
